Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Security.CodeAccessPermission System.Security.Permissions.IUnrestrictedPermission

instances control permission to accept connections or initiate connections. A permission can be established for a host name or IP address, a port number, and a transport protocol.

Avoid creating socket permissions using host names, as these names have to be resolved to IP addresses, and this might block the stack.

Controls rights to make or accept connections on a transport address.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  If the instance is created with the Unrestricted value from then the instance passes all demands. Any other value for results in a instance that fails all demands unless a transport address permission is added with .

  Initializes a new instance of the class that allows unrestricted access to the or disallows access to the .

  One of the values.
  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  The parameter is .

  This constructor creates a that controls access to the specified and using the specified .

  The can be a DNS name, an IP address, or a specified IP subnet, such as 192.168.1.*.

  The can be any valid port number defined by the transport, or .

  Initializes a new instance of the class for the given transport address with the specified permission.

  One of the values.
  One of the values.
  The host name for the transport address.
  The port number for the transport address.
  0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.IEnumerator To be added. To be added.

  Gets a list of instances that identifies the endpoints that can be accepted under this permission instance.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` ``

  The can be a DNS name, an IP address, or a specified IP subnet, such as 192.168.1.*.

  Adds a permission to the set of permissions for a transport address.

  One of the values. One of the values. The host name for the transport address. The port number for the transport address.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 -1

  This field is read-only. The value of this field is -1.

  Defines a constant that represents all ports.

  0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.IEnumerator To be added. To be added.

  Gets a list of instances that identifies the endpoints that can be connected to under this permission instance.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.IPermission

  The object returned by this method represents the same level of access as the current instance. This method overrides and is implemented to support the interface.

  Creates a copy of a instance.

  A new instance of the class that is a copy of the current instance.

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  is .

  is not a permission element.

  The method reconstructs a instance from an XML encoding defined by the class.

  Use the method to encode the instance, including state information, in XML.

  Reconstructs a instance for an XML encoding.

  The XML encoding used to reconstruct the instance. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.IPermission `` is not of type .

  The intersection of two permissions is a permission that helps to protect the resources and operations protected by both permissions. Specifically, it represents the minimum permission such that any demand that passes both permissions also passes their intersection. This method overrides and is implemented to support the interface.

  Returns the logical intersection between two instances.

  The instance that represents the intersection of two instances. If the intersection is empty, the method returns null. If the parameter is a null reference, the method returns null.

  The instance to intersect with the current instance. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  is not and is not of type .

  The current permission is a subset of the specified permission if the current permission specifies a set of operations that is wholly contained by the specified permission.

  For example, a permission that represents access to 192.168.1.1:80 is a subset of a permission that represents access to 192.168.1.1:Any. If this method returns true, the current permission represents no more access to the protected resource than does the specified permission.

  Determines if the current permission is a subset of the specified permission.

  If is null, this method returns true if the current instance defines no permissions; otherwise, false. If is not null, this method returns true if the current instance defines a subset of permissions; otherwise, false.

  A that is to be tested for the subset relationship. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  Checks the overall permission state of the object.

  true if the instance is created with the Unrestricted value from ; otherwise, false.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.SecurityElement

  The method creates a instance to encode a representation of the instance, including state information, in XML.

  Use the method to restore the state information from a instance.

  Creates an XML encoding of a instance and its current state.

  A instance that contains an XML-encoded representation of the instance, including state information.

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.IPermission `` is . is not of type .

  The result of a call to is a permission that represents all of the access to connections represented by the current instance as well as the access represented by . Any demand that passes either the current instance or passes their union. This method overrides and is implemented to support the interface.

  Returns the logical union between two instances.

  The instance that represents the union of two instances. If parameter is null, it returns a copy of the current instance.

  The instance to combine with the current instance. 0
0